Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Void a Payment


This section describes how to void a payment that was submitted but not yet processed by the processor. A payment is also known as a sale, which is an authorization and capture in one API request. Include the payment ID in the void request endpoint to cancel the payment.

Supported Processors

  • Chase Paymentech Solutions
  • Elavon Americas
  • FDC Nashville Global
  • Fiserv RapidConnect
  • Streamline
  • Worldpay VAP

Endpoints

POST /pts/v2/payments/{id}/voids

POST /pts/v2/payments/{id}/voids

POST /pts/v2/payments/{id}/voids

The {id} is the transaction ID returned in the sale response.

Example

Standard Example

{    "clientReferenceInformation": {        "code": "123456789012"    }}
{    "submitTimeUtc": "2026-03-11T16:39:30Z",    "processorInformation": {        "approvalCode": "OK1272",        "responseCode": "000"    },    "consumerAuthenticationResponse": {        "systemTraceAuditNumber": "500036"    },    "orderInformation": {        "amountDetails": {            "authorizedAmount": "110.00"        }    },    "message": "Successful transaction.",    "clientReferenceInformation": {        "code": "123456789012"    },    "reconciliationId": "000000050000771",    "id": "7417111702443232235535",    "_links": {        "self": {            "method": "GET",            "href": "/pts/v2/voids/7417111702443232235535"        }    },    "status": "VOIDED"}

Fiserv RapidConnect Example

{    "clientReferenceInformation": {        "code": "123456789012",        "reconciliationId": "000000050000771"    },    "orderInformation": {        "amountDetails": {            "totalAmount": "110",            "currency": "USD"        }    }}
{    "submitTimeUtc": "2026-03-11T16:39:30Z",    "processorInformation": {        "approvalCode": "OK1272",        "responseCode": "000"    },    "consumerAuthenticationResponse": {        "systemTraceAuditNumber": "500036"    },    "orderInformation": {        "amountDetails": {            "authorizedAmount": "110.00"        }    },    "message": "Successful transaction.",    "clientReferenceInformation": {        "code": "123456789012"    },    "reconciliationId": "000000050000771",    "id": "7417111702443232235535",    "_links": {        "self": {            "method": "GET",            "href": "/pts/v2/voids/7417111702443232235535"        }    },    "status": "VOIDED"}

Required Fields

These fields are required for all supported processors unless a processor-specific section indicates otherwise.

Default Required Field

FieldDescription
clientReferenceInformation.codeorder reference or tracking number. Provide a unique value for each transaction so that you can perform meaningful searches for the transaction.

Processor-Specific Required Fields

These fields are required for the Fiserv RapidConnect processor.

FieldDescription
clientReferenceInformation.reconciliationId—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.